Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class SimpleFSDirectory.SimpleFSIndexInput

    java.lang.Object
      org.apache.lucene.store.DataInput
          org.apache.lucene.store.IndexInput
              org.apache.lucene.store.BufferedIndexInput
                  org.apache.lucene.store.FSDirectory.FSIndexInput
                      org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

All Implemented Interfaces:
  Closeable, Cloneable

Enclosing class:
  SimpleFSDirectory

    protected static class SimpleFSDirectory.SimpleFSIndexInput

extends FSDirectory.FSIndexInput

Reads bytes with `RandomAccessFile.seek(long)` followed by `RandomAccessFile.read(byte[], int, int)`.

Field Summary

Fields inherited from class org.apache.lucene.store.FSDirectory.FSIndexInput
`chunkSize, end, file, off`

Fields inherited from class org.apache.lucene.store.BufferedIndexInput
`buffer, BUFFER_SIZE, MERGE_BUFFER_SIZE`

Constructor Summary
`SimpleFSDirectory.SimpleFSIndexInput(String resourceDesc, File path, IOContext context, int chunkSize)`
`SimpleFSDirectory.SimpleFSIndexInput(String resourceDesc, RandomAccessFile file, long off, long length, int bufferSize, int chunkSize)`

Method Summary
`protected void` | `readInternal(byte[] b, int offset, int len)` IndexInput methods
`protected void` | `seekInternal(long position)` Expert: implements seek.

Methods inherited from class org.apache.lucene.store.FSDirectory.FSIndexInput
`clone, close, length`

Methods inherited from class org.apache.lucene.store.BufferedIndexInput
`bufferSize, flushBuffer, getBufferSize, getFilePointer, newBuffer, readByte, readBytes, readBytes, readInt, readLong, readShort, readVInt, readVLong, seek, setBufferSize`

Methods inherited from class org.apache.lucene.store.IndexInput
`toString`

Methods inherited from class org.apache.lucene.store.DataInput
`readString, readStringSet, readStringStringMap`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleFSDirectory.SimpleFSIndexInput

    public SimpleFSDirectory.SimpleFSIndexInput(String resourceDesc,
                                                File path,
                                                IOContext context,
                                                int chunkSize)
                                         throws IOException

Throws:
  `IOException`

### SimpleFSDirectory.SimpleFSIndexInput

    public SimpleFSDirectory.SimpleFSIndexInput(String resourceDesc,
                                                RandomAccessFile file,
                                                long off,
                                                long length,
                                                int bufferSize,
                                                int chunkSize)

Method Detail

### readInternal

    protected void readInternal(byte[] b,
                                int offset,
                                int len)
                         throws IOException

  IndexInput methods

  Specified by:
    `readInternal` in class `BufferedIndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `IOException`

### seekInternal

    protected void seekInternal(long position)

  Description copied from class: `BufferedIndexInput`
  Expert: implements seek. Sets current position in this file, where the next `BufferedIndexInput.readInternal(byte[],int,int)` will occur.

  Specified by:
    `seekInternal` in class `BufferedIndexInput`
  See Also:
    `BufferedIndexInput.readInternal(byte[],int,int)`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.